{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function fieldcount, msg, dialog_box\r\ndeclare subroutine create_note\r\n$insert logical\r\n$insert msg_equates\r\n$insert quote_sigs_equ\r\nequ CrLf$ to char(13):char(10)\r\n\r\nCarInplaceSig = .car_inplace_signature->text\r\nCarVerSig     = .car_verified_signature->text\r\nif CarVerSig <> '' then\r\n    MsgInfo = ''\r\n    MsgInfo<mtext$> = 'This CAR has already been verified by the VP of manufacturing.'\r\n    MsgInfo<micon$> = '!'\r\n    Void = msg( '', MsgInfo )\r\nend else\r\n    if CarInplaceSig <> '' then\r\n       SignatureInfo = xlate( 'CONFIG', 'QUOTE_SIGS', '', 'X' )\r\n\t   VipMfg          = SignatureInfo<VipMfg$>\r\n\t   VipPwd          = SignatureInfo<VipMfgPwd$>\r\n\t   if @user4 = VipMfg then\r\n\t\t  Valid = dialog_box( 'QUOTE_SIG_PWD_ENTRY', @window, @user4:@vm:VipPwd )\r\n\t\t  if Valid then\r\n\t\t  \t .car_verified_signature->text = @user4\r\n\t\t\t .car_verified_signature_name->text = oconv( @user4, '[XLATE_CONV,LSL_USERS*FIRST_LAST]' )\r\n\t\t\t .status->value = 'V'\r\n\t\t\t @@window->savewarn = 1\r\n\t\t  end \r\n       end else\r\n\t\t  MsgInfo = ''\r\n\t\t  MsgInfo<mtext$> = 'You are not the VP of manufacturing...'\r\n\t\t  MsgInfo<micon$> = 'H'\r\n\t\t  Void = msg( '', MsgInfo )\r\n       end\r\n    end else\r\n       MsgInfo = ''\r\n\t   MsgInfo<mtext$> = 'You can not verify the CAR until it has been in place.'\r\n       MsgInfo<micon$> = 'H'\r\n       Void = msg( '', MsgInfo )\r\n    end\r\nend\r\nreturn 0"
        }
    }
}